@import './src/app/styles/vars';

.UserCard {
  display: grid;
  gap: 36px;

  &__User {
    font-size: 16px;
    line-height: 24px;
  }

  &__Name {
    margin-bottom: 24px;
    font-size: 18px;
    line-height: 28px;
  }

  &__Contacts {
    display: grid;
    gap: 14px;
  }

  &__Contact {
    display: flex;
    align-items: center;
    gap: 16px;
    transition: color $easing;

    & svg {
      width: 24px;
      height: 24px;
      display: block;
      fill: $icon-sec;
      transition: fill $easing;
      pointer-events: none;
    }

    &:hover {
      color: $accent-hover;

      & svg {
        fill: $accent-hover;
      }
    }
  }

  &__Albums {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
    gap: 36px 20px;
  }

  &__Album {
    display: grid;
    position: relative;
    min-width: 200px;
    width: 100%;
    height: 200px;
    background-color: $bg-secondary;
    padding: 24px 18px;
    border-radius: 4px;
    overflow: hidden;
    cursor: pointer;

    &::before {
      content: "";
      position: absolute;
      width: 100%;
      height: 100%;
      top: 0;
      left: 0;
      z-index: 0;
      background: linear-gradient(354.72deg, #000000 4.21%, rgba(0, 0, 0, 0) 93.45%);
      opacity: 0.4;
      transition: opacity $easing;
    }

    & span {
      grid-area: 1/-1;
      color: $txt-contrast;
      z-index: 1;
      white-space: nowrap;
      overflow: hidden;
      text-overflow: ellipsis;
      margin-top: auto;
    }

    &:hover::before {
      opacity: 0.6;
    }
  }

  @include media-breakpoint-up(md) {
    grid-template-columns: 256px 1fr;
    gap: 144px;

    &__User {
      font-size: 18px;
      line-height: 28px;
    }

    &__Name {
      font-size: 24px;
      line-height: 32px;
    }

    &__Contacts {
      gap: 24px;
    }

    &__Albums {
      gap: 36px;
    }
  }
}
